---
kind: pipeline
name: bottin
type: kubernetes

steps:
- name: build
  image: golang:stretch
  commands:
    - go get -d -v
    - go build -v
    - cd test
    - go test -i -c -o test

- name: test_bottin
  image: consul:latest
  environment:
    BOTTIN_DEFAULT_ADMIN_PW: priZ4Cg0x5NkSyiIN/MpvWw4ZEy8f8s1
  commands:
    - ash test/runner.sh

- name: notify
  image: plugins/slack
  when:
    status:
      - success
      - failure
  settings:
    channel: Drone
    webhook: https://webhooks.earthnet.ch/api/v1/matrix/hook/ruNHRBPLDviP3HZGwNbk0HTLaAon4oD16xWeAL2Ul3wKkTBwvoKpoHNxHNU4ObK5
    template: >
      Build {{ repo.name }}
      {{#success build.status}}
        {{build.number}} succeeded. Good job.
      {{else}}
        {{build.number}} failed. Fix me please.
      {{/success}}

---
kind: signature
hmac: ff246a04c3df8a2f39c8b446dea920622d61950e6caaac886931bdb05d0706ed

...
